<?php

namespace AutoAdmin\Bundle\Seo\Sitemap;

use AutoAdmin\Bundle\Seo\Sitemap\Model\SitemapUrl;

interface SitemapBuilderInterface
{
    /**
     * @return string[]
     */
    public function getSections(): array;

    /**
     * @return SitemapUrl[]
     */
    public function getUrls(?string $section = null): array;

    public function resolveContents(string $class): mixed;
}
